Bug 7436 - lpd not compatible with hpux 10.20 HPDPS printserver
lpd not compatible with hpux 10.20 HPDPS printserver
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 1999-11-30 05:05 EST by elsen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-23 18:45:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description elsen 1999-11-30 05:05:01 EST
- I am having problems making Linux RH6.1 clients work
with a HP10.20 HPDPS printserver (with latest HPDPS patch).
Printjobs submitted on the Linux clients with remote printer
defined on the HP printserver will fail to print with :

   % lpq -Pprinter
   pcmarc: no space on remote; waiting for queue to drain

Other clients (HP,SUN,...) can use the same HPDPS based printer
on the printserver without any problems,

                     Any clues ?


HPDPS = HP  Distributed Print Server

Own theory :  I tend to believe now that the lpd on Linux
interprets some remote reply from the HP rlpdaemon (lpd) in
a wrong manner, such as disk space value or another reply.
I  consider this a Linux lpd problem since as stated , SUN Solaris
clients for instance have no problem with the same printer
on the same printserver.
Comment 1 Bernhard Rosenkraenzer 1999-11-30 09:23:59 EST
Can't reproduce this as we don't have the hardware. Did you try lpr 0.46 (from
upgrades) and 0.47 (from rawhide)?
If they don't fix the problem, can you give us access to your print server so we
can try to debug it? (Don't post access data here, as it's publically readable -
send it in e-mail or something).
Comment 2 elsen 1999-11-30 10:21:59 EST
Thanks for your reply, I did try 0.47 from rawhide but
to no avail (same message).
Giving access to the "print environment" on the printserver
will not be possible due to security reasons.
But thanks for the suggestion.

Anyway were can I  get your lpr 0.46 version as I  will
try this option also ?

           Thanks for your time,


Comment 3 elsen 1999-12-03 09:05:59 EST
After discussion with my colleaque on this issue;
he mentioned that the problem may be due to the fact that
the hp box talks sysv lpd protocol and linux talks bsd
lpd protocol.

I  wonder whether you could , if possible , comment on this
and if so, is there a version of lpd on Linux which is compliant
with sysv lpd protocol ?

Thanks a lot for your feedback,

                 Best Regards,

                                    Marc Elsen (elsen@imec.be)
Comment 4 Bernhard Rosenkraenzer 2000-02-18 07:18:59 EST
I don't know about HPUX, but it's true that Linux speaks BSD lpr.
You might want to try LPRng (search http://www.freshmeat.net/ for the current
Maybe the current version of lpr will work for you too - it has some workarounds
for slightly incompatible implementations (such as MacOS clients).
Comment 5 Tim Waugh 2002-01-10 05:33:02 EST
Is this still a problem in the latest release?
Comment 6 Stephen John Smoogen 2003-01-23 18:45:43 EST
Bug 7436 was closed because RHL 6.1 is no longer supported by Red Hat Linux and
no information from reportees has occured in over a year. 

Note You need to log in before you can comment on or make changes to this bug.